unload_lora_adapter
POST
/v1/unload_lora_adapter
const url = 'https://example.com/v1/unload_lora_adapter';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"lora_name":"production"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/unload_lora_adapter \ --header 'Content-Type: application/json' \ --data '{ "lora_name": "production" }'Registered only when runtime LoRA mutation is enabled. CLI servers enable it with MISTRALRS_ALLOW_RUNTIME_LORA_UPDATING.
Request Body required
Section titled “Request Body required ” Media type application/json
object
expected_generation
Remove only if the alias still points at this generation.
string | null
lora_int_id
Accepted for vLLM request compatibility; aliases are authoritative in mistral.rs.
integer | null format: int64
lora_name
required
string
model
string | null
Example
{ "lora_name": "production"}Responses
Section titled “ Responses ”LoRA adapter unloaded
Media type application/json
object
bytes
required
integer format: int64
generation
required
string
id
required
string
object
required
string
rank
required
integer
revision
string | null
source
string | null
Example generated
{ "bytes": 1, "generation": "example", "id": "example", "object": "example", "rank": 1, "revision": "example", "source": "example"}Invalid request
Media type application/json
object
error
required
object
code
required
string
message
required
string
type
required
string
Example generated
{ "error": { "code": "example", "message": "example", "type": "example" }}Model or adapter was not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
type
required
string
Example generated
{ "error": { "code": "example", "message": "example", "type": "example" }}LoRA runtime is unavailable
Media type application/json
object
error
required
object
code
required
string
message
required
string
type
required
string
Example generated
{ "error": { "code": "example", "message": "example", "type": "example" }}Request body exceeds the configured limit
Media type application/json
object
error
required
object
code
required
string
message
required
string
type
required
string
Example generated
{ "error": { "code": "example", "message": "example", "type": "example" }}Request content type is not JSON
Media type application/json
object
error
required
object
code
required
string
message
required
string
type
required
string
Example generated
{ "error": { "code": "example", "message": "example", "type": "example" }}Request body is invalid
Media type application/json
object
error
required
object
code
required
string
message
required
string
type
required
string
Example generated
{ "error": { "code": "example", "message": "example", "type": "example" }}Internal server error
Media type application/json
object
error
required
object
code
required
string
message
required
string
type
required
string
Example generated
{ "error": { "code": "example", "message": "example", "type": "example" }}